"use strict"

function resolveExtendsRules(config) {
    if (!config.extends) {
        return Object.assign({}, config.rules)
    }
    const extendList = Array.isArray(config.extends)
        ? config.extends
        : [config.extends]
    const extendsRules = extendList
        .map(configPath => resolveExtendsRules(require(configPath)))
        .reduce((res, conf) => Object.assign(res, conf), {})

    return Object.assign(extendsRules, config.rules)
}

module.exports = resolveExtendsRules
